<?php

@ini_set("display_errors", "1"); error_reporting(E_ALL);
//@ini_set("display_errors", "0"); error_reporting(0);

function MyLog($text) {
	global $Setting;
	$file_handle = fopen($Setting['LogFile'], "a+");
	fwrite($file_handle, date("d.m.Y H:i:s")." ".$text."\n");
	fclose($file_handle);
} 

include_once("utm5_urfa-php/utm5_api.php");
//include_once("utm5_payment_tool/utm5_api.php");


// Получаем ID пользователя (в контексте UTM5 - Номер лицевого счета) по его IP адресу
function GetUserID($Parameters) {
	switch ($Parameters['method']) {
		case 'ip': 
			$UserID = UTM_GetUserIDByIP($Parameters["ip"]);
  	  break;
		case 'login+password': 
			$UserID = UTM_GetUserIDByLoginAndPassword($Parameters["login"], $Parameters["password"]);
  	  break;
	}
	return($UserID);
}

// Проверка наличия средств на балансе лицевого счета
function CheckUserBalance($AccountID, $Summa) {
	$CheckResult = UTM_CheckUserBalance($AccountID, $Summa);
	return($CheckResult);
}

// Функция списания средств с лицевого счета пользователя
function ContributeFunds($AccountID, $Summa, $Message, $TransactionID, $TariffID ) {
	$ContributeResult = UTM_ContributeFunds($AccountID, $Summa, $Message, $TransactionID, $TariffID);
	return($ContributeResult);
}


