<?php
header('Content-Type: application/json; charset=utf-8');

@ini_set("display_errors", "1"); error_reporting(E_ALL);
//@ini_set("display_errors", "0"); error_reporting(0);

include_once('helpers.php');

if (count($_POST)>0) {
	$Request = $_POST;
} else {
	$Request = $_GET;
}

if (!isset($Request['action'])) {
	exit('unknow action');
}

MyLog("Request: ".print_r($Request, true));

switch ($Request['action']) {
	case 'auth': //Идентификация пользователя. (/auth)
		$Parameters = array( "method" => "");
		if (isset($Request['ip'])) {
			$Parameters["method"] = 'ip';
			$Parameters["ip"] = $Request['ip'];
			$UserID = GetUserID($Parameters);
			$Answer = "{ \"user_id\": \"$UserID\" }";
			MyLog("Answer: $Answer\n-------------------");
			exit($Answer);
		}
		if (isset($Request['login']) && isset($Request['psw'])) {
			$Parameters["method"] = 'login+password';
			$Parameters["login"] = $Request["login"];
			$Parameters["password"] = $Request["psw"];
			$UserID = GetUserID($Parameters);
			$Answer = "{ \"user_id\": \"$UserID\" }";
			MyLog("Answer: $Answer\n-------------------");
			exit($Answer);
		}
    break;
	case 'check': //Запрос на проверку наличия средства (/check)
		if (isset($Request['user_id']) && isset($Request['sum'])) {
			$AccountID = $Request['user_id'];
			$Summa = $Request['sum'];
			$CheckResult = CheckUserBalance($AccountID, $Summa);
			$Answer = "{ \"result\": \"$CheckResult\" }";
			MyLog("Answer: $Answer\n-------------------");
			exit($Answer);
		}
    break;
	case 'cont': //Запрос на списание (счет) (/cont)
		if (isset($Request['user_id']) && isset($Request['sum']) && isset($Request['message']) && isset($Request['cont_id']) && isset($Request['trf_id'])) {
			$AccountID = $Request['user_id'];
			$Summa = $Request['sum'];
			$Message = $Request['message'];
			$TransactionID = $Request['cont_id'];
			$TariffID = $Request['trf_id'];
			$ContributeResult = ContributeFunds($AccountID, $Summa, $Message, $TransactionID, $TariffID);
			$Answer = "{ \"id\": \"".$ContributeResult['id']."\",\n \"status\": \"".$ContributeResult['status']."\" }";
			MyLog("Answer: $Answer\n-------------------");
			exit($Answer);
		}
    break;	
}
$Answer = "{ \"status\": \"".erorr."\" }";
MyLog("Answer: $Answer\n-------------------");
exit($Answer);


?>